<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.organize.*" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="java.util.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="<%=strLevel_SESSION%>/share/js/operatorWin.js"></script>
</style>
</head>
<%@ include file="/share/title.jsp"%>
<!-- <table border="0" cellpadding="0" cellspacing="0" align="center" width="100%">  -->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" cellpadding="1" cellspacing="0">
<%
	//取得分组
  ArrayList groupList = LcForm.FormGroupList;
  Map groupMap = LcForm.FormGroupMap;
  ArrayList idList = null;
  Iterator iterId = null;
  Iterator iter = groupList.iterator();
  String name = "";
  String name2 = "";
  int iFormID = 0;
  int iCount1 = 0;
  int iCount2 = 0;
  int iCount3 = 0;
  int iCount4 = 0;
  int iCount5 = 0;
  int iCount1_total = 0;
  int iCount2_total = 0;
  int iCount3_total = 0;
  int iCount4_total = 0;
  int iCount5_total = 0;
  String sCount1 = "0";
  String sCount2 = "0";
  String sCount3 = "0";
  String sCount4 = "0";
  String sCount5 = "0";  
  BdFormControl formControl = new BdFormControl();
  BdValueControl valueControl = new BdValueControl();
  BdDesktop bdDesktop = new BdDesktop();
  String sUrl = "";
  int iTransactType = 0;
  while (iter != null && iter.hasNext()) {
	  name = (String)iter.next();
	  if (name.equals("")) {
		  name = "其他";
	  }

	  //取得分组下的
	  idList = (ArrayList)groupMap.get(new String(name));
	  iterId = idList.iterator();
	  while (iterId.hasNext()) {
		  iFormID = SzConvert.toInt((String)iterId.next());
		  iCount5 = valueControl.getTransactCount(iFormID, iDLID_SESSION);
		  if (iCount5 == 0) {
			  continue;
		  }
		  
		  out.print("<tr><td align='left' height='30px'>&nbsp;<b>[");	  
		  out.print(name);
		  out.println("]</b>");		  

		  //根据ID取得表单的信息
		  name2 = formControl.getFormDesc(iFormID);		
		  iTransactType = 0;
		  sUrl = formControl.getIndexUrl("../../", iFormID, 1);
		  if (iFormID == 1319 || iFormID == 1320) {
			  iTransactType = 1;
			  sUrl = formControl.getIndexUrl("../../", iFormID, 11);
		  }		  
		  
		  
		  out.println("<b>[");
		  out.println("<a href=");
		  out.println(sUrl);
		  out.println(">");		  
		  out.println(name2);
		  out.println("]</b></a>");			 
		  out.println("[待办数量]");
		  out.println(iCount5);
		  out.println("</td>");			  
		  out.println("</tr>");
		  

		  
		  iCount5_total += iCount5;		  
		  sCount5 = Integer.toString(iCount5);
		  sUrl = formControl.getIndexUrl("../../",iFormID,1);

		  out.println("<tr>");
		  out.println("<td align='left' colspan='10' class='trMouseOut'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\" width=\"100%\">");
			//默认只显示16条，最后一个参数可修改
		  out.println(bdDesktop.printMainTransactNew(iFormID, session, strSkin_SESSION, iTransactType, strLevel_SESSION, 16));
		  out.println("</table>");
		  out.println("</td></tr>");		  
	  }
	  
	  
  }
%>
<tr class="trClassTitle2">
	<td><b>合计待办数量： <b><%=iCount5_total %></b></b></td>
</tr>
</table>